Name:           ocaml-ssl
Version:        0.4.6
Release:        %mkrel 9
Summary:        SSL bindings for OCaml

Group:          Development/OCaml
License:        LGPLv2+ with exceptions
URL:            http://savonet.sourceforge.net/
Source0:        http://downloads.sourceforge.net/savonet/ocaml-ssl-%{version}.tar.gz

BuildRequires:  ocaml-compiler
BuildRequires:  ocaml-findlib
BuildRequires:  openssl-devel
BuildRequires:  gawk
Requires:       openssl

%description
SSL bindings for OCaml.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       openssl-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
%configure2_5x
make

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
mkdir -p $OCAMLFIND_DESTDIR/stublibs
make install

# the examples
mv examples  examples_
mkdir examples
cp examples_/*.ml examples/

%files
%doc CHANGES COPYING README
%dir %{_libdir}/ocaml/ssl
%{_libdir}/ocaml/ssl/META
%{_libdir}/ocaml/ssl/*.cmi
%{_libdir}/ocaml/ssl/*.cma
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner

%files devel
%doc examples
%doc doc/html
%{_libdir}/ocaml/ssl/*.a
%{_libdir}/ocaml/ssl/*.cmxa
%{_libdir}/ocaml/ssl/*.cmx
%{_libdir}/ocaml/ssl/*.mli


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.4.6-9.mga4
+ Revision: 533925
- Mageia 4 Mass Rebuild

* Sat Sep 07 2013 blue_prawn <blue_prawn> 0.4.6-8.mga4
+ Revision: 475782
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 0.4.6-7.mga3
+ Revision: 361640
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 malo <malo> 0.4.6-6.mga3
+ Revision: 324087
- rebuild for new ocaml

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.4.6-5.mga3
+ Revision: 301413
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.4.6-3.mga3
+ Revision: 300414
- new rpm group for ocaml

* Sun Dec 04 2011 malo <malo> 0.4.6-2.mga2
+ Revision: 176047
- spec clean-up
- remove Requires on openssl-devel

* Sun Nov 20 2011 malo <malo> 0.4.6-1.mga2
+ Revision: 169944
- new version 0.4.6
- missing Requires openssl-devel

* Sun Oct 02 2011 shlomif <shlomif> 0.4.5-2.mga2
+ Revision: 151097
- Rebuild for new OCaml - thanks to Malo.

* Wed Sep 21 2011 shlomif <shlomif> 0.4.5-1.mga2
+ Revision: 146509
- Updated to 0.4.5-1 - thanks to Malo

* Fri Apr 08 2011 ennael <ennael> 0.4.4-2.mga1
+ Revision: 82430
- clean spec file
- imported package ocaml-ssl


* Fri Apr 16 2010 Funda Wang <fwang@mandriva.org> 0.4.4-2mdv2010.1
+ Revision: 535264
- rebuild for openssl

* Wed Mar 17 2010 Florent Monnier <blue_prawn@mandriva.org> 0.4.4-1mdv2010.1
+ Revision: 522812
- update to new version 0.4.4

* Mon Jan 25 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.3-3mdv2010.1
+ Revision: 496363
- rebuild

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.3-2mdv2010.0
+ Revision: 389925
- rebuild

* Tue Feb 03 2009 Florent Monnier <blue_prawn@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 337170
- updated version

* Tue Jan 06 2009 Florent Monnier <blue_prawn@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 326276
- import ocaml-ssl


* Sat Dec 20 2008 Florent Monnier <fmonnier@linux-nantes.org> 0.4.2-1mdv
- Initial RPM release made from the fedora rpm .spec file (revision 1.11) by Richard W.M. Jones
# found there: http://cvs.fedoraproject.org/viewvc/devel/ocaml-ssl/ocaml-ssl.spec
